## x509

x509 — <dsig:X509Certificate/> node parser functions.

## Stability Level

Stable, unless otherwise indicated

## Functions

int | xmlSecX509DataGetNodeContent ()

## Types and Values

#define | XMLSEC_X509DATA_CERTIFICATE_NODE
#define | XMLSEC_X509DATA_SUBJECTNAME_NODE
#define | XMLSEC_X509DATA_ISSUERSERIAL_NODE
#define | XMLSEC_X509DATA_SKI_NODE
#define | XMLSEC_X509DATA_CRL_NODE
#define | XMLSEC_X509DATA_DEFAULT

## Description

## Functions

### xmlSecX509DataGetNodeContent ()

    int
    xmlSecX509DataGetNodeContent (xmlNodePtr node,
                                  xmlSecKeyInfoCtxPtr keyInfoCtx);

Reads the contents of <dsig:X509Data/> node and returns it as a bits mask.

#### Parameters

node | the pointer to <dsig:X509Data/> node. |
keyInfoCtx | the pointer to <dsig:KeyInfo/> node processing context. |

#### Returns

the bit mask representing the <dsig:X509Data/> node content or a negative value if an error occurs.

## Types and Values

### XMLSEC_X509DATA_CERTIFICATE_NODE

    #define XMLSEC_X509DATA_CERTIFICATE_NODE                        0x00000001

<dsig:X509Certificate/> node found or would be written back.

### XMLSEC_X509DATA_SUBJECTNAME_NODE

    #define XMLSEC_X509DATA_SUBJECTNAME_NODE                        0x00000002

<dsig:X509SubjectName/> node found or would be written back.

### XMLSEC_X509DATA_ISSUERSERIAL_NODE

    #define XMLSEC_X509DATA_ISSUERSERIAL_NODE                       0x00000004

<dsig:X509IssuerSerial/> node found or would be written back.

### XMLSEC_X509DATA_SKI_NODE

    #define XMLSEC_X509DATA_SKI_NODE                                0x00000008

<dsig:X509SKI/> node found or would be written back.

### XMLSEC_X509DATA_CRL_NODE

    #define XMLSEC_X509DATA_CRL_NODE                                0x00000010

<dsig:X509CRL/> node found or would be written back.

### XMLSEC_X509DATA_DEFAULT

    #define             XMLSEC_X509DATA_DEFAULT

Default set of nodes to write in case of empty

<dsig:X509Data/> node template.